# RegisterSlot

Represents a slot in the register.

package | phing.system.util

### Methods

## Constructs a new RegisterSlot, setting the key to passed param.

    __construct(string $key)

### Arguments

#### $key

`string`

## Returns the value at this slot as a string value.

    __toString() : string

### Response

`string`

## Gets the key / name for this slot.

    getKey() : string

### Response

`string`

## Returns the value at this slot.

    getValue() : mixed

### Response

`mixed`

## Recursively implodes an array to a comma-separated string

    implodeArray(array $arr) : string

### Arguments

#### $arr

`array`

### Response

`string`

## Sets the key / name for this slot.

    setKey(string $k)

### Arguments

#### $k

`string`

## Sets the value for this slot.

    setValue( $v)

### Arguments

#### $v

``

### Properties

## The name of this slot.

    key :

### Type(s)

``

## The value for this slot.

    value :

### Type(s)

``